FLORENCE(1)

NAME
florence - extensible and scalable virtual keyboard for GNOME

SYNOPSIS

florence [OPTIONS]

DESCRIPTION

Florence is an extensible scalable virtual keyboard for GNOME. You need it if you can’t use a real hardware keyboard, for example because of injury, handicap, your keyboard is broken or because you use a tablet PC, but you must be able to use a pointing device (as a mouse, a trackball, a touchscreen or opengazer); If you can’t use a pointing device, there is gok, which can be used with just simple switches.

Florence stays out of your way when you don’t need it: it appears on the screen only when you need it. A timer-based auto-click input method is available to help disabled people having difficulties to click. The ramble mode is another efficient input method that can help.

Florence is primarily intended to be used with the GNOME desktop, although it can be used on any desktop environment by using the --no-gnome option.

OPTIONS

-h, --help
    Print help message and exit.

-V, --version
    Print Florence version and exit.

-c, --config
    Open configuration dialog.

-d, --debug
    Launch Florence in verbose mode.

-n, --no-gnome
    Use this option if you are not using the GNOME desktop environment. This will disable some GNOME specific features.

-f , --focus[=WINDOW]
    With this option, any florence input will go to the selected window. The window argument is the name of the window (the one that most window managers put in the title bar). if the window argument is not provided, florence will select the last focused window. This option is useful for window managers that don’t support the "not focusable" hint and focus the keyboard window instead of the output one. It can also be useful if you want to input text to a window that is not focused. This option must be used for the keyboard to work in GDM.

-u FILE, --use-config=FILE
    Use the configuration file provided instead of gconf. The configuration file is a key-value pair file with sections. An example of configuration file is provided at /usr/share/doc/florence/examples/florence.conf.

SEE ALSO

Florence documentation in the GNOME help system.

Florence website: http://florence.sourceforge.net/

AUTHOR

François Agrech <f.agrech@gmail.com>